<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\CoreExtension;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* Base/Domain/_additionals.js.twig */
class __TwigTemplate_72c6b6eaf3b8c2f1cf5a780b8a8f24e33eab10557c767270ed7e747e3230dafb extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e = $this->extensions["Symfony\\Bundle\\WebProfilerBundle\\Twig\\WebProfilerExtension"];
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->enter($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof = new \Twig\Profiler\Profile($this->getTemplateName(), "template", "Base/Domain/_additionals.js.twig"));

        // line 1
        yield "\$(function() {
    \$(\"select\").chosen();
    \$('.chosen-drop, .chosen-container').css({minWidth: '100%', width: 'auto'});
});

\$(function() {
    var button = \$(\".submit_new\");
    var form = button.parents('form:first');
    button.click(function () {
        form.attr('action', '?new=true');
    });
    form.attr('action', '?show=true');
});

\$(function() {
    var forwardInput = \$('#forward');
    var forwardBox = \$('#forwardDomain').parent();
    var forceRouteInput = \$('#forceRoute');
    var forceRouteBox = \$('#forceRouteHost').parent();
    var domainBinInput = \$('#domainBin');
    var domainBinBox = \$('#domainBinAddress').parent();
    var outboundInput = \$('#customOutbound');
    var outboundBox = \$('#outbound-box');
    var outboundIPInput = \$('#outboundIP');
    var outboundEhloInput = \$('#outboundEhlo');

    function toggleForward() {
        forwardBox.toggle(forwardInput.is(':checked'));
    }

    function toggleForceRoute() {
        forceRouteBox.toggle(forceRouteInput.is(':checked'));
    }

    function toggleDomainBin() {
        domainBinBox.toggle(domainBinInput.is(':checked'));
    }

    function toggleOutbound() {
        let v = outboundInput.is(':checked');
        outboundBox.toggle(v);
        if (!v) {
            outboundIPInput.val(\"\");
            outboundEhloInput.val(\"\");
        }
    }

    toggleForward();
    toggleForceRoute();
    toggleDomainBin();

    if (outboundIPInput.val() || outboundEhloInput.val()) {
        outboundInput.prop('checked', 'checked');
    }
    toggleOutbound();

    forwardInput.click(toggleForward);
    forceRouteInput.click(toggleForceRoute);
    domainBinInput.click(toggleDomainBin);
    outboundInput.click(toggleOutbound);

    function checkIDN() {
        var name = document.getElementById('name').value;
        var alert = \$('#alert');
        var puny = punycode.toASCII(name);
        if (puny !== name) {
            alert.toggle(true);
            alert.text('";
        // line 68
        yield $this->env->getRuntime('Twig\Runtime\EscaperRuntime')->escape($this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("domain.idn_notice"), "js", null, true);
        yield " ' + puny);
        } else {
            alert.toggle(false);
        }
    }

    checkIDN();
    \$('#name').keyup(checkIDN);

    /// aditionals open
    let dlink = \$('#domain-additionals-link');
    let dbox = \$('#domain-additionals');
    let ddir = \$('#direction');
    let ddes = \$('#domain-additionals-description')

    function openAdditionals() {
        dbox.toggle(true);
        dlink.off('click');
        dlink.click(closeAdditionals);
        ddir.html(\"▼\");
        ddes.toggle(false);
    }

    function closeAdditionals() {
        dbox.toggle(false);
        dlink.off('click');
        dlink.click(openAdditionals);
        ddir.html(\"▶\");
        ddes.toggle(true);
    }

    // open additionals if there is something set
    let dempty = true;

    dbox.find(\"input:not([type='checkbox'])\").each(function (i, el) {
        if (\$(el).val().length > 0) {
            dempty = false;
        }
    })
    dbox.find(\"input[type='checkbox']:checked\").each(function (i, el) {
        dempty = false;
    })

    dempty ? closeAdditionals() : openAdditionals();
});
";
        
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->leave($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof);

        return; yield '';
    }

    /**
     * @codeCoverageIgnore
     */
    public function getTemplateName()
    {
        return "Base/Domain/_additionals.js.twig";
    }

    /**
     * @codeCoverageIgnore
     */
    public function isTraitable()
    {
        return false;
    }

    /**
     * @codeCoverageIgnore
     */
    public function getDebugInfo()
    {
        return array (  110 => 68,  41 => 1,);
    }

    public function getSourceContext()
    {
        return new Source("", "Base/Domain/_additionals.js.twig", "/opt/admin/templates/Base/Domain/_additionals.js.twig");
    }
}
